Files

Get File Version Analysis Security

GET
/analysis/{fileId}/{versionId}/security

Get the security performance analysis for the uploaded assets of an avatar

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

fileId*string

Must be a valid file ID.

versionId*integer

Version ID of the asset.

Range1 <= value

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/analysis/file_00000000-0000-0000-0000-000000000000/1/security"
{
  "avatarStats": {
    "animatorCount": 0,
    "audioSourceCount": 0,
    "blendShapeCount": 0,
    "boneCount": 0,
    "bounds": [
      0
    ],
    "cameraCount": 0,
    "clothCount": 0,
    "constraintCount": 0,
    "constraintDepth": 0,
    "contactCount": 0,
    "customExpressions": true,
    "customizeAnimationLayers": true,
    "enableEyeLook": true,
    "lightCount": 0,
    "lineRendererCount": 0,
    "lipSync": 0,
    "materialCount": 0,
    "materialSlotsUsed": 0,
    "meshCount": 0,
    "meshIndices": 0,
    "meshParticleMaxPolygons": 0,
    "meshPolygons": 0,
    "meshVertices": 0,
    "particleCollisionEnabled": true,
    "particleSystemCount": 0,
    "particleTrailsEnabled": true,
    "physBoneColliderCount": 0,
    "physBoneCollisionCheckCount": 0,
    "physBoneComponentCount": 0,
    "physBoneTransformCount": 0,
    "physicsColliders": 0,
    "physicsRigidbodies": 0,
    "skinnedMeshCount": 0,
    "skinnedMeshIndices": 0,
    "skinnedMeshPolygons": 0,
    "skinnedMeshVertices": 0,
    "totalClothVertices": 0,
    "totalIndices": 0,
    "totalMaxParticles": 0,
    "totalPolygons": 0,
    "totalTextureUsage": 0,
    "totalVertices": 0,
    "trailRendererCount": 0,
    "writeDefaultsUsed": true
  },
  "created_at": "2019-08-24T14:15:22Z",
  "encryptionKey": "string",
  "fileSize": 0,
  "performanceRating": "string",
  "success": true,
  "uncompressedSize": 0
}
{
  "error": {
    "message": "Analysis not yet available",
    "status_code": 202
  }
}
{
  "error": {
    "message": "File 'file_ce35d830-e20a-4df0-a6d4-5aaef4508044' not found",
    "status_code": 404
  }
}